• Recently Browsing

    No registered users viewing this page.

  • Posts

    • When I try to compile my Minecraft mod or even try to 'Gradlew SetupDecompWorkspace' this error happens. I don't know what it's causing, it started yesterday when I was trying to compile the mod to test compatibility with others, I'm new to the forge and modding.  * What went wrong: A problem occurred configuring root project 'Batman Mod'. > Could not resolve all dependencies for configuration ':classpath'. > Could not resolve org.eclipse.equinox:common:[3.2.0,4.0.0). Required by: :Batman Mod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT > org.eclipse.core:jobs:3.5.300-v20130429-1813 :Batman Mod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT > org.eclipse.core:contenttype:3.4.200-v20130326-1255 :Batman Mod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT > org.eclipse.equinox:preferences:3.5.100-v20130422-1538 > Failed to list versions for org.eclipse.equinox:common. > Unable to load Maven meta-data from http://repo1.maven.org/maven2/org/eclipse/equinox/common/maven-metadata.xml. > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/equinox/common/maven-metadata.xml'. Received status code 501 from server: HTTPS Required > Could not resolve org.eclipse.equinox:preferences:[3.2.0,4.0.0). Required by: :Batman Mod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT > org.eclipse.core:contenttype:3.4.200-v20130326-1255 > Failed to list versions for org.eclipse.equinox:preferences. > Unable to load Maven meta-data from http://repo1.maven.org/maven2/org/eclipse/equinox/preferences/maven-metadata.xml. > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/equinox/preferences/maven-metadata.xml'. Received status code 501 from server: HTTPS Required > Could not resolve org.eclipse.equinox:registry:[3.2.0,4.0.0). Required by: :Batman Mod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT > org.eclipse.core:contenttype:3.4.200-v20130326-1255 > Failed to list versions for org.eclipse.equinox:registry. > Unable to load Maven meta-data from http://repo1.maven.org/maven2/org/eclipse/equinox/registry/maven-metadata.xml. > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/equinox/registry/maven-metadata.xml'. Received status code 501 from server: HTTPS Required > Could not resolve org.eclipse.core.runtime:compatibility:[3.1.0,4.0.0). Required by: :Batman Mod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT > org.eclipse.core:resources:3.2.1-R32x_v20060914 > Failed to list versions for org.eclipse.core.runtime:compatibility. > Unable to load Maven meta-data from http://repo1.maven.org/maven2/org/eclipse/core/runtime/compatibility/maven-metadata.xml. > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/core/runtime/compatibility/maven-metadata.xml'. Received status code 501 from server: HTTPS Required > Could not resolve org.eclipse.core:expressions:[3.1.0,4.0.0). Required by: :Batman Mod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT > org.eclipse.core:resources:3.2.1-R32x_v20060914 > Failed to list versions for org.eclipse.core:expressions. > Unable to load Maven meta-data from http://repo1.maven.org/maven2/org/eclipse/core/expressions/maven-metadata.xml. > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/core/expressions/maven-metadata.xml'. Received status code 501 from server: HTTPS Required > Could not resolve org.eclipse.core:filesystem:[1.0.0,2.0.0). Required by: :Batman Mod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT > org.eclipse.core:resources:3.2.1-R32x_v20060914 > Failed to list versions for org.eclipse.core:filesystem. > Unable to load Maven meta-data from http://repo1.maven.org/maven2/org/eclipse/core/filesystem/maven-metadata.xml. > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/core/filesystem/maven-metadata.xml'. Received status code 501 from server: HTTPS Required > Could not resolve org.eclipse:osgi:[3.7.0,4.0.0). Required by: :Batman Mod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT > org.eclipse.core:runtime:3.9.0-v20130326-1255 > Failed to list versions for org.eclipse:osgi. > Unable to load Maven meta-data from http://repo1.maven.org/maven2/org/eclipse/osgi/maven-metadata.xml. > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/osgi/maven-metadata.xml'. Received status code 501 from server: HTTPS Required > Could not resolve org.eclipse.equinox:common:[3.6.100,4.0.0). Required by: :Batman Mod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT > org.eclipse.core:runtime:3.9.0-v20130326-1255 > Failed to list versions for org.eclipse.equinox:common. > Unable to load Maven meta-data from http://repo1.maven.org/maven2/org/eclipse/equinox/common/maven-metadata.xml. > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/equinox/common/maven-metadata.xml'. Received status code 501 from server: HTTPS Required > Could not resolve org.eclipse.core:jobs:[3.2.0,4.0.0). Required by: :Batman Mod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT > org.eclipse.core:runtime:3.9.0-v20130326-1255 > Failed to list versions for org.eclipse.core:jobs. > Unable to load Maven meta-data from http://repo1.maven.org/maven2/org/eclipse/core/jobs/maven-metadata.xml. > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/core/jobs/maven-metadata.xml'. Received status code 501 from server: HTTPS Required > Could not resolve org.eclipse.equinox:registry:[3.4.0,4.0.0). Required by: :Batman Mod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT > org.eclipse.core:runtime:3.9.0-v20130326-1255 > Failed to list versions for org.eclipse.equinox:registry. > Unable to load Maven meta-data from http://repo1.maven.org/maven2/org/eclipse/equinox/registry/maven-metadata.xml. > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/equinox/registry/maven-metadata.xml'. Received status code 501 from server: HTTPS Required > Could not resolve org.eclipse.equinox:preferences:[3.4.0,4.0.0). Required by: :Batman Mod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT > org.eclipse.core:runtime:3.9.0-v20130326-1255 > Failed to list versions for org.eclipse.equinox:preferences. > Unable to load Maven meta-data from http://repo1.maven.org/maven2/org/eclipse/equinox/preferences/maven-metadata.xml. > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/equinox/preferences/maven-metadata.xml'. Received status code 501 from server: HTTPS Required > Could not resolve org.eclipse.core:contenttype:[3.3.0,4.0.0). Required by: :Batman Mod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT > org.eclipse.core:runtime:3.9.0-v20130326-1255 > Failed to list versions for org.eclipse.core:contenttype. > Unable to load Maven meta-data from http://repo1.maven.org/maven2/org/eclipse/core/contenttype/maven-metadata.xml. > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/core/contenttype/maven-metadata.xml'. Received status code 501 from server: HTTPS Required > Could not resolve org.eclipse.equinox:app:[1.0.0,2.0.0). Required by: :Batman Mod:unspecified > net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT > net.minecraftforge.srg2source:Srg2Source:3.2-SNAPSHOT > org.eclipse.core:runtime:3.9.0-v20130326-1255 > Failed to list versions for org.eclipse.equinox:app. > Unable to load Maven meta-data from http://repo1.maven.org/maven2/org/eclipse/equinox/app/maven-metadata.xml. > Could not GET 'http://repo1.maven.org/maven2/org/eclipse/equinox/app/maven-metadata.xml'. Received status code 501 from server: HTTPS Required * Try: Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. BUILD FAILED Total time: 22.641 secs  
    • Thank you.  That was very helpful.  I did that and it worked.  For any other newbs, don't forget to make sure you're running that command from the same directory as the .jar file.  For example, if you've put the jar file on your Desktop, you need to run "cd Desktop" from the terminal before running the "java -jar forge-1.15.1-30.0.41-installer.jar" command in terminal. I forgot that step and was wondering why Java couldn't find the jar file when I was looking at it on the screen! 🙂
    • I believe they call them add-ons, and I'm pretty sure it is nowhere near as flexible as Java edition modding, i.e I don't think you can create new mobs, only modify existing ones.   I haven't revisited the capabilities of bedrock add-ons in a while, so this may have changed, but I doubt it.  
    • you can mod it in JavaScript
    • The Forge installer is not a directly executable file, it is a Jar file. It requires Java to be installed, then you can use java -jar forge-1.15.1-30.0.41-installer.jar on the command line to run it.
  • Topics

  • Who's Online (See full list)